Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Templates (Preview)

Create Template (Preview)

POST
/v1/templates

Schema preview only. This operation will be released soon. Every request currently returns HTTP 501 Not Implemented.

When released, this operation will create the stable Template and an empty unpublished version 1 atomically. Version lifecycle fields and content are server-managed and cannot be supplied in this request.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Human-readable name of the resource.

Length1 <= length
key*string

Stable key used to identify the resource.

Length1 <= length
language*string

Language value for this resource.

Length2 <= length <= 2
type*"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional"

Type of the resource.

channel_type*|

Channel Type value for this resource.

archived?boolean

Archived value for this resource.

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "key": "string",    "language": "st",    "type": "authentication",    "channel_type": "email"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "key": "string",  "language": "string",  "type": "authentication",  "channel_type": "email",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}